Bug 63943 - Installer does not setup laptop touchpad when run with external mouse attached, after install X-windows crashes without external mouse.
Installer does not setup laptop touchpad when run with external mouse attache...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-22 09:42 EDT by Need Real Name
Modified: 2006-04-24 14:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:48:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-22 09:42:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
When installing RH Linux 7.3 beta (Skipjack) on a Dell 2100 laptop with an
external USB mouse attached, the installer fails to setup the internal touchpad.
 After installation is complete, the system will load X-Windows with only the
external mouse working.  

Worse yet, when the system is booted without the extrenal mouse, X-Windows fails
to start.  The error message basically states that required hardware was
unavailable to X-Windows when it tried to start.  

Here is some other, possibly useful information:

- When booting, the hardware wizard notices that the mouse is not attached and
asks what I would like to do.  I chose to keep the configuration (not sure what
the actual option is called).  Basically the option that means "don't bother me
again if the device is missing."  This seems to be a logical chose for an
external mouse for a laptop - when it's there you want it to work; when it's
not, you want it to be ignored.  

Also, see additional info below for the mouse section of x-config.

The system is a Dell Inspiron 2100. The mouse is a Logitech cordless mouse. 
However, I would assume this problem is relevant to all laptops and USB mice.

I am marking this bug with high priority because it causes X-Windows to
crash/not start after installation.  This would most likely disappoint potential
new Linux users and veteran users alike who may not know how to manually correct
this problem.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH Linux 7.3 beta on laptop w/extrenal usb mouse attached
2. Boot system w/external mouse still attached, notice that touchpad does not work.
3. Unplug USB mouse and reboot system.  Choose "keep configurations" when
prompted for missing mouse.  Notice that X-Windows does not start.
	

Actual Results:  Linux starts but X-Windows does not - due to missing hardware.

Expected Results:  X-Windows should have started with touchpad support.

Additional info:

CLIP FROM X-CONFIG:



# Pointer section
# **********************************************************************

Section "Pointer"
    Protocol    "IMPS/2"
    Device      "/dev/input/mice"

#    For wheel support - can not be used with Emulate3Buttons
#
#    ZAxisMapping 4 5

# When using XQUEUE, comment out the above two lines, and uncomment
# the following line.
#    Protocol   "Xqueue"

# Baudrate and SampleRate are only for some Logitech mice
#    BaudRate   9600
#    SampleRate 150

# Emulate3Buttons is an option for 2-button Microsoft mice
# Emulate3Timeout is the timeout in milliseconds (default is 50ms)
#   Emulate3Buttons
    Emulate3Timeout    50

# ChordMiddle is an option for some 3-button Logitech mice
#    ChordMiddle

EndSection
Comment 1 Michael Fulbright 2002-04-24 12:03:50 EDT
I'm curious if kudzu (our hardware detection layer) is seeing both devices at
install time.

Could you try booting into the installer and go through up to the point you have
a bash prompt on VC2 (cntl-alt-f2)?

Then run 'python'

Then at the '>>>' prompt, type:

print kudzu.probe(kudzu.CLASS_MOUSE, kudzu.BUS_UNSPEC, kudzu.PROBE_ALL)

Could you attach that output? Hopefully both devices will show up.


Comment 2 Need Real Name 2002-04-24 13:40:05 EDT
Nevermind my email, I figured out what to do.  
Had to add the folder with kudzu.py to the PYTHONPATH and import kudzu 
Not bad for someone who's never used Python!  :D  heh, anyway, here is your output:

[Desc:  Generic USB Mouse
Driver: mousedev
Device: input/mice
, Desc: Generic Mouse (PS/2)
Driver: genericps/2
Device: psaux
]


However, System Installer only recognizes input from the USB mouse, the touchpad
is useless.

Let me know if you need any more info.

Thanks!
Comment 3 Michael Fulbright 2002-04-25 17:50:49 EDT
Doh! Sorry I forgot about that - I'm impressed you figured it out...

So kudzu is reporting both mice correctly.  I will have to investigate more with
a machine here that has two input devices.

Thanks for letting us know about this problem.
Comment 4 Michael Fulbright 2002-06-20 23:05:37 EDT
I think I've fixed how we handle this case to be more intelligent.

Fixed in internal CVS.
Comment 5 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 6 Jeremy Katz 2006-04-24 14:48:01 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.